Name:      perl-WWW-Shorten
Summary:   Perl interface to URL shortening sites
Version:   3.03
Release:   2%{dist}
License:   ASL 2.0 and (GPL+ or Artistic)
Group:     Development/Libraries
URL:       http://search.cpan.org/dist/WWW-Shorten
Source:    http://search.cpan.org/CPAN/authors/id/D/DA/DAVECROSS/WWW-Shorten-%{version}.tar.gz
BuildArch: noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
BuildRequires:  %{_bindir}/iconv
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This package provides the Perl module WWW-Shorten, which is
a Perl interface to URL shortening sites.

%prep
%setup -q -n WWW-Shorten-%{version}
iconv -f latin1 -t utf8 < LICENCE > LICENCE.utf8 && mv -f LICENCE.utf8 LICENCE

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc README Changes AUTHORS LICENCE TODO
%{_bindir}/shorten
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Thu May 9 2013 Andrea Veri <averi@fedoraproject.org> - 3.03-2
- Change license to ASL 2.0 and (GPL+ or Artistic).
- Install AUTHORS, LICENSE, TODO files.
- Add the missing build dependencies.
- Add the missing MODULE_COMPAT requires.
- Add a B-D on glib-common for the iconv binary file.
- Convert the LICENSE file to UTF-8.

* Mon May 6 2013 Andrea Veri <averi@fedoraproject.org> - 3.03-1
- Initial build.
